=== debian/changelog ===
gfal2-bindings (1.11.1-1) unstable; urgency=medium

  * First release for Debian (Closes: #1011517)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 24 May 2022 10:14:43 +0200
