=== debian/control ===
Source: gfal2-bindings
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper (>= 13),
 cmake,
 dh-python,
 libgfal2-dev (>= 2.20.0),
 libboost-dev,
 libboost-python-dev,
 python3-dev,
 pkg-config
Standards-Version: 4.6.1
Section: net
Vcs-Browser: https://salsa.debian.org/ellert/gfal2-bindings
Vcs-Git: https://salsa.debian.org/ellert/gfal2-bindings.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/gfal2-python.html

Package: python3-gfal2
Architecture: any
Depends:
 libgfal2-2 (>= 2.20.0),
 libgfal-transfer2 (>= 2.20.0),
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends}
Provides:
 ${python3:Provides}
Description: Python bindings for gfal2
 Python bindings for gfal2. GFAL2 offers a single, simple and portable
 API for the file operations in grids and cloud environments.
