=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

INSTALLDIR = debian/tmp

%:
	dh $@ --with python3 -- --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
	   -DPYTHON2=FALSE \
	   -DUNIT_TESTS=TRUE \
	   -DSKIP_DOC=TRUE

override_dh_auto_install:
	dh_auto_install --destdir=$(INSTALLDIR)
