## gfal2-bindings 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,8 +60,8 @@
 endif (BUILDDOCS)
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 11)
-set(VERSION_PATCH 1)
+set(VERSION_MINOR 12)
+set(VERSION_PATCH 0)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 add_definitions(-DGFAL2_PYTHON_VERSION="${VERSION_STRING}")
