=== test/unit/CMakeLists.txt ===


add_test(create_install_all ${CMAKE_CURRENT_SOURCE_DIR}/unit_test_container.sh "python ${CMAKE_CURRENT_SOURCE_DIR}/creat_instance_all.py")
