=== debian/changelog ===
gfal2-bindings (1.12.0-2) unstable; urgency=medium

  * Patch for Python 3.11 support from upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 03 Jan 2023 17:54:46 +0100

gfal2-bindings (1.12.0-1) unstable; urgency=medium

  * New release 1.12.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 11 Jul 2022 14:26:14 +0200

gfal2-bindings (1.11.1-2) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 08 Jun 2022 08:33:06 +0200
