=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
  debhelper (>= 13),
  cmake,
  dh-python,
- libgfal2-dev (>= 2.20.0),
+ libgfal2-dev (>= 2.21.0),
  libboost-dev,
  libboost-python-dev,
  python3-dev,
  pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2-bindings
 Vcs-Git: https://salsa.debian.org/ellert/gfal2-bindings.git
@@ -19,8 +19,8 @@
 Package: python3-gfal2
 Architecture: any
 Depends:
- libgfal2-2 (>= 2.20.0),
- libgfal-transfer2 (>= 2.20.0),
+ libgfal2-2 (>= 2.21.0),
+ libgfal-transfer2 (>= 2.21.0),
  ${shlibs:Depends},
  ${misc:Depends},
  ${python3:Depends}
