=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,8 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	   -DPYTHON2=FALSE \
 	   -DUNIT_TESTS=TRUE \
-	   -DSKIP_DOC=TRUE
+	   -DBUILDDOCS=FALSE
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
