## gfal2-bindings 1.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -61,7 +61,7 @@
 
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 12)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 1)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 add_definitions(-DGFAL2_PYTHON_VERSION="${VERSION_STRING}")
