=== debian/changelog ===
gfal2-bindings (1.12.1-1) unstable; urgency=medium

  * New release 1.12.1

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 07 Sep 2023 09:45:13 +0200
