=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
- debhelper (>= 13),
+ debhelper-compat (= 13),
  cmake,
  dh-python,
  libgfal2-dev (>= 2.21.0),
  libboost-dev,
  libboost-python-dev,
  python3-dev,
+ python3-setuptools,
  pkg-config
 Standards-Version: 4.6.2
 Section: net
@@ -18,6 +19,7 @@
 
 Package: python3-gfal2
 Architecture: any
+Section: python
 Depends:
  libgfal2-2 (>= 2.21.0),
  libgfal-transfer2 (>= 2.21.0),
