=== test/CMakeLists.txt ===
if(FUNCTIONAL_TESTS)
    add_subdirectory (functionals)
endif(FUNCTIONAL_TESTS)


if(UNIT_TESTS)
    add_subdirectory (unit)
endif(UNIT_TESTS)
