=== debian/changelog ===
gfal2-bindings (1.12.2-1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:42:50 +0000

gfal2-bindings (1.12.2-1ubuntu1) noble; urgency=medium

  * Drop hard-coded dependencies on shared libraries.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 11:34:17 +0100

gfal2-bindings (1.12.2-1build4) noble; urgency=high

  * No change rebuild against libgfal2-2t64, libgfal-transfer2t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:21:05 +0100

gfal2-bindings (1.12.2-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:29:45 +0000

gfal2-bindings (1.12.2-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:24:57 +0000

gfal2-bindings (1.12.2-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:49:53 +0100

gfal2-bindings (1.12.2-1) unstable; urgency=medium

  * New release 1.12.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 13 Dec 2023 15:05:19 +0100
