=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gfal2-bindings
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  dh-python,
- libgfal2-dev (>= 2.21.0),
+ libgfal2-dev (>= 2.22.0),
  libboost-dev,
  libboost-python-dev,
  python3-dev,
@@ -21,8 +22,6 @@
 Architecture: any
 Section: python
 Depends:
- libgfal2-2 (>= 2.21.0),
- libgfal-transfer2 (>= 2.21.0),
  ${shlibs:Depends},
  ${misc:Depends},
  ${python3:Depends}
