=== test/CMakeLists.txt ===
if (FUNCTIONAL_TESTS)
    add_subdirectory(functional)
endif()

if (UNIT_TESTS)
    add_subdirectory(unit)
endif()
