=== test/functional/CMakeLists.txt ===
# Add functional tests
add_test(all_functional_tests ${CMAKE_CURRENT_SOURCE_DIR}/exec_tests.sh)
