=== debian/changelog ===
gfal2-bindings (1.13.0-2build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:13:11 +0200

gfal2-bindings (1.13.0-2build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:46 +0200

gfal2-bindings (1.13.0-2build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:56:47 +0100

gfal2-bindings (1.13.0-2) unstable; urgency=medium

  * Add override rule for dh_python3 to set -V option

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 08 Aug 2024 23:22:04 +0200

gfal2-bindings (1.13.0-1) unstable; urgency=medium

  * New release 1.13.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 06 Aug 2024 11:10:23 +0200

gfal2-bindings (1.12.2-2) unstable; urgency=medium

  * Drop hardcoded library dependencies

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 29 Mar 2024 05:51:13 +0100
