=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: gfal2-bindings
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
  dh-python,
- libgfal2-dev (>= 2.22.0),
+ libgfal2-dev (>= 2.23.0),
  libboost-dev,
  libboost-python-dev,
  python3-dev,
  python3-setuptools,
- pkg-config
-Standards-Version: 4.6.2
+ pkgconf
+Standards-Version: 4.7.0
 Section: net
 Vcs-Browser: https://salsa.debian.org/ellert/gfal2-bindings
 Vcs-Git: https://salsa.debian.org/ellert/gfal2-bindings.git
