=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,6 @@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(INSTALLDIR)
+
+override_dh_python3:
+	dh_python3 -V -
